#
# spec file for package logrotate (Version 3.7.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           logrotate
BuildRequires:  popt-devel
Summary:        Rotate, Compress, Remove, and Mail System Log Files
Version:        3.7.3
Release:        13.13.27
License:        GPL v2 or later
Group:          System/Base
Source:         ftp://people.redhat.com/sopwith/logrotate-%{version}.tar.bz2
Patch:          logrotate-suse.dif
Patch1:         logrotate-conf.dif
Patch2:         logrotate-mess_err.dif
Patch8:         logrotate-autoext.dif
Patch9:         allow-arg-in-scripts.patch
Patch10:        logrotate-hash.dif
Patch11:        logrotate-missingok.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %fillup_prereq /bin/rm /bin/mv

%description
The logrotate utility is designed to simplify the administration of log
files on a system that generates a lot of log files. Logrotate allows
for the automatic rotation, compression, removal, and mailing of log
files. Logrotate can be set to handle a log file daily, weekly,
monthly, or when the log file gets to a certain size. Normally,
logrotate runs as a daily cron job.



Authors:
--------
    Erik Troan <ewt@redhat.com>
    Matt Wilson <msw@redhat.com>
    Preston Brown <pbrown@redhat.com>

%prep
%setup -q
%patch
%patch1
%patch2
%patch8
%patch9 -p1
%patch10
%patch11 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make test

%install
make PREFIX=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,cron.daily}
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 644 examples/logrotate-default $RPM_BUILD_ROOT/etc/logrotate.conf
install -m 755 examples/logrotate.cron $RPM_BUILD_ROOT/etc/cron.daily/logrotate
install -m 644 examples/logrotate.wtmp $RPM_BUILD_ROOT/etc/logrotate.d/wtmp

%post
%{remove_and_set MAX_DAYS_FOR_LOG_FILES}
if [ -f /etc/logrotate.d/aaa_base ] ; then
   echo "Saving old logrotate system confguration"
   mv -v /etc/logrotate.d/aaa_base /etc/logrotate.d.aaa_base.save
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES
/usr/sbin/logrotate
%{_mandir}/man8/logrotate.8*
/etc/cron.daily/logrotate
%config /etc/logrotate.conf
%config(noreplace)/etc/logrotate.d/wtmp

%changelog
* Thu Nov 18 2010 puzel@novell.com
- fixed missingok problem with globs (bnc#651685)
  - add logrotate-missingok.dif
* Mon Feb 16 2009 puzel@suse.cz
- logrotate-hash.dif (bnc#415072)
* Mon Feb 16 2009 puzel@suse.cz
- allow-arg-in-scripts.patch (bnc#468648)
* Fri Feb  1 2008 ro@suse.de
- fix wrong logging class for error message (bnc#357959)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 ro@suse.de
- fixed segfault in autoext patch (#142021)
* Fri Dec  9 2005 ro@suse.de
- updated to 3.7.3
- removed upstreamed patches
- added autoext patch for determining file extension
  from used compression program
* Tue Oct 18 2005 ro@suse.de
- update to upstream patchkit
* Tue Oct 11 2005 ro@suse.de
- update to 3.7.2 and some upstream patches
* Mon Oct 10 2005 ro@suse.de
- fix else case in maxage patch (thanks to pvrabec)
* Tue Jul 26 2005 ro@suse.de
- added noTMPDIR and selinux patches
* Thu May 19 2005 ro@suse.de
- update to 3.7.1
* Wed Apr 20 2005 ro@suse.de
- cron-script: give some more details when things fail
* Mon Sep  6 2004 ro@suse.de
- changed patch sequence, simple ones first
- added one-liner fix from cvs
- fix mail call
- fix uninitialized variable when mailing out first rotation
- fix number of logs kept with dateext
* Thu Mar 25 2004 ro@suse.de
- adapted logger path (#36947)
* Mon Feb 23 2004 ro@suse.de
- update to version 3.7
* Fri Oct 17 2003 ro@suse.de
- don't build as root
- use defattr
* Mon Oct 13 2003 ro@suse.de
- updated to 3.6.10 and ported patches
* Thu Jun 12 2003 kukuk@suse.de
- /etc/logrotate.d is part of filesystem
* Thu Jan 23 2003 ro@suse.de
- update to 3.6.6 (some tmpfile fixes, new options supported)
- remove system-config /etc/logrotate.d/aaa_base and all code
  messing with it (all logrotate configs have been moved to
  their respective packages)
- add /etc/logrotate.d/wtmp
* Wed Jan 22 2003 ro@suse.de
- remove mgetty logfiles
* Mon Jan 20 2003 ro@suse.de
- remove i4l logfiles
* Wed Jan 15 2003 ro@suse.de
- removed xdm logfile from main config (in XFree86 now)
* Wed Jan 15 2003 ro@suse.de
- removed more files from main config and moved to their packages
* Sun Nov 10 2002 ro@suse.de
- fix deprecated multiline string literals
* Mon Oct 14 2002 ro@suse.de
- remove postgresql logfile from config on update (#20860)
* Mon Oct 14 2002 ro@suse.de
- moved syslog logrotation config to syslogd package
* Mon Sep 23 2002 ro@suse.de
- mark logrotate.del as missingok
* Mon Sep  9 2002 ro@suse.de
- remove handling of /var/account/pacct (moved to acct package)
* Fri Aug 16 2002 ro@suse.de
- dropped insserv from prereq (not used)
* Mon Aug  5 2002 kukuk@suse.de
- Add rm and mv to PreRequires
* Tue Jul 30 2002 ro@suse.de
- fixed typo in specfile
- added comment in config-file about bzip2 usage
* Mon Jul 29 2002 ro@suse.de
- removed fetchmail logrotate entry (#17279)
* Mon Jul 29 2002 ro@suse.de
- removed apache,smail,perforce,abuild components
- remove old entries also from logrotate.d/aaa_base on update
* Mon Jul 29 2002 ro@suse.de
- squid components removed (done in squid package now) (#17278)
* Fri Jul 19 2002 gd@suse.de
- fixed samba log paths
* Fri Jul 12 2002 kukuk@suse.de
- Fix post-install script for the case that there is no rc.config
* Mon Jun 24 2002 ro@suse.de
- fixed squid log paths (#16557)
* Wed May  8 2002 ro@suse.de
- uucp-logfiles are handled by own config
* Mon Mar 18 2002 ro@suse.de
- don't rotate any file for /var/log/news.*
* Thu Feb 28 2002 ro@suse.de
- don't overwrite logfiles with dateext if run more than once
  a day (partial solution for #13202)
* Mon Feb 25 2002 ro@suse.de
- install etc_logfiles as 644
* Mon Feb 18 2002 ro@suse.de
- removed yast from logrotate.d
* Sat Feb 16 2002 ro@suse.de
- removed postgresql logfile (handled by package)
* Sun Jan  6 2002 ro@suse.de
- take wtmp out of default config
* Fri Dec 14 2001 ro@suse.de
- really remove old variable from rc.config
* Wed Dec 12 2001 ro@suse.de
- mark files in /etc/logrotate.d as noreplace
* Tue Dec 11 2001 ro@suse.de
- implement maxage if dateext is not used
- uncompress log for mail if maillast is used
* Mon Dec 10 2001 ro@suse.de
- added etc_logfiles as reminder to sources
- moved convert script into postinstall and try to find
  old etc/logfiles and use etc_logfiles as fallback
- added yast and syslog to /etc/logrotate.d as config files
* Mon Dec 10 2001 ro@suse.de
- added maxage extension
* Thu Dec  6 2001 ro@suse.de
- split patches for purpose
* Tue Dec  4 2001 ro@suse.de
- archiving option changed to "dateext" and
  works completely transparent otherwise
* Tue Nov 27 2001 ro@suse.de
- added multiple rotation criteria can be selected at one time
- added/completed implementation for days (max days)
* Mon Nov 26 2001 ro@suse.de
- added archiving option
- added script to convert /etc/logfiles
* Tue Nov 13 2001 ro@suse.de
- initial package for SuSE Linux (version 3.5.9)
